singleton Material(dove_engine)
{
    mapTo = "dove_engine";
    diffuseMap[1] = "vehicles/dove/textures/dove_engine_d.dds";
    specularMap[1] = "vehicles/dove/textures/dove_engine_s.dds";
    normalMap[1] = "vehicles/dove/textures/dove_engine_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dove_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_raceparts)
{
    mapTo = "dove_raceparts";
    diffuseMap[2] = "vehicles/dove/textures/dove_raceparts_c.dds";
    specularMap[2] = "vehicles/dove/textures/dove_raceparts_s.dds";
    normalMap[2] = "vehicles/dove/textures/dove_raceparts_n.dds";
    diffuseMap[1] = "vehicles/dove/textures/dove_raceparts_d.dds";
    specularMap[1] = "vehicles/dove/textures/dove_raceparts_s.dds";
    normalMap[1] = "vehicles/dove/textures/dove_raceparts_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dove_raceparts_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_box)
{
    mapTo = "dove_box";
    diffuseMap[2] = "vehicles/dove/textures/dovebox_c.dds";
    specularMap[2] = "vehicles/dove/textures/dovebox_s.dds";
    normalMap[2] = "vehicles/dove/textures/dovebox_n.dds";
    diffuseMap[1] = "vehicles/dove/textures/dovebox_d.dds";
    specularMap[1] = "vehicles/dove/textures/dovebox_s.dds";
    normalMap[1] = "vehicles/dove/textures/dovebox_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dovebox_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_bin)
{
    mapTo = "dove_bin";
    diffuseMap[0] = "vehicles/dove/textures/dove_garbage_d.dds";
    normalMap[0] = "vehicles/dove/textures/dove_garbage_n.dds";
    specularMap[0] = "vehicles/dove/textures/dove_garbage_s.dds";
    specularPower[0] = "8";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng";
    materialTag1 = "Utah";
    specular[0] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
};
singleton Material(dove_mirror)
{
    mapTo = "dove_mirror";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_m)
{
    mapTo = "dove_m";
    diffuseMap[2] = "vehicles/dove/textures/dove_m_c.dds";
    specularMap[2] = "vehicles/dove/textures/dove_m_s.dds";
    normalMap[2] = "vehicles/dove/textures/dove_m_n.dds";
    diffuseMap[1] = "vehicles/dove/textures/dove_m_d.dds";
    specularMap[1] = "vehicles/dove/textures/dove_m_s.dds";
    normalMap[1] = "vehicles/dove/textures/dove_m_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dove_m_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove)
{
    mapTo = "dove";
    diffuseMap[2] = "vehicles/dove/textures/dove_c.dds";
    specularMap[2] = "vehicles/dove/textures/dove_s.dds";
    normalMap[2] = "vehicles/dove/textures/dove_n.dds";
    diffuseMap[1] = "vehicles/dove/textures/dove_d.dds";
    specularMap[1] = "vehicles/dove/textures/dove_s.dds";
    normalMap[1] = "vehicles/dove/textures/dove_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dove_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_stw)
{
    mapTo = "dove_stw";
    diffuseMap[2] = "vehicles/dove/textures/dove_stw_c.png";
    specularMap[2] = "vehicles/dove/textures/dove_stw_s.png";
    normalMap[2] = "vehicles/dove/textures/dove_stw_n.png";
    diffuseMap[1] = "vehicles/dove/textures/dove_stw_d.png";
    specularMap[1] = "vehicles/dove/textures/dove_stw_s.png";
    normalMap[1] = "vehicles/dove/textures/dove_stw_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dove_stw_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_p_interior)
{
    mapTo = "dove_p_interior";
    diffuseMap[0] = "vehicles/dove/textures/dove_interior_d.dds";
    specularMap[0] = "vehicles/dove/textures/dove_interior_s.dds";
    normalMap[0] = "vehicles/dove/textures/dove_interior_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_glass)
{
    mapTo = "dove_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/dove/textures/dove_glass_d.dds";
    opacityMap[0] = "vehicles/dove/textures/dove_glass_d.dds";
    diffuseMap[1] = "vehicles/dove/textures/dove_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_glass_int)
{
    mapTo = "dove_glass_int";
    diffuseMap[0] = "vehicles/dove/textures/dove_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_glass_dmg)
{
    mapTo = "dove_glass_dmg";
    diffuseMap[0] = "vehicles/dove/textures/dove_glass_d.dds";
    opacityMap[0] = "vehicles/dove/textures/dove_glass_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/dove/textures/dove_glass_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_lights)
{
    mapTo = "dove_lights";
    diffuseMap[1] = "vehicles/dove/textures/dove_lights_d.dds";
    specularMap[1] = "vehicles/dove/textures/dove_lights_s.dds";
    normalMap[1] = "vehicles/dove/textures/dove_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dove_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_lights_dmg)
{
    mapTo = "dove_lights_dmg";
    diffuseMap[1] = "vehicles/dove/textures/dove_lights_dmg_d.dds";
    specularMap[1] = "vehicles/dove/textures/dove_lights_dmg_s.dds";
    normalMap[1] = "vehicles/dove/textures/dove_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dove_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_lights_on)
{
    mapTo = "dove_lights_on";
    diffuseMap[2] = "vehicles/dove/textures/dove_lights_g.dds";
    specularMap[2] = "vehicles/dove/textures/dove_lights_s.dds";
    normalMap[2] = "vehicles/dove/textures/dove_lights_n.dds";
    diffuseMap[1] = "vehicles/dove/textures/dove_lights_d.dds";
    specularMap[1] = "vehicles/dove/textures/dove_lights_s.dds";
    normalMap[1] = "vehicles/dove/textures/dove_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dove_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dove_lights_on_intense)
{
    mapTo = "dove_lights_on_intense";
    diffuseMap[2] = "vehicles/dove/textures/dove_lights_g.dds";
    specularMap[2] = "vehicles/dove/textures/dove_lights_s.dds";
    normalMap[2] = "vehicles/dove/textures/dove_lights_n.dds";
    diffuseMap[1] = "vehicles/dove/textures/dove_lights_d.dds";
    specularMap[1] = "vehicles/dove/textures/dove_lights_s.dds";
    normalMap[1] = "vehicles/dove/textures/dove_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/dove/textures/dove_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(dove_signal_L)
{
    mapTo = "dove_signal_L";
};

singleton Material(dove_signal_R)
{
    mapTo = "dove_signal_R";
};

singleton Material(dove_taillight_R)
{
    mapTo = "dove_taillight_R";
};

singleton Material(dove_taillight_L)
{
    mapTo = "dove_taillight_L";
};

singleton Material(dove_headlight)
{
    mapTo = "dove_headlight";
};

singleton Material(dove_reverselight)
{
    mapTo = "dove_reverselight";
};

singleton Material(dove_blackvinyl)
{
    mapTo = "dove_blackvinyl";
    diffuseMap[0] = "vehicles/dove/textures/dove_blackvinyl_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_blackvinyl_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_blackvinyl_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_m_interior)
{
    mapTo = "dove_m_interior";
    diffuseMap[0] = "vehicles/dove/textures/dove_m_interior_d.dds";
    specularMap[0] = "vehicles/dove/textures/dove_m_interior_s.dds";
    normalMap[0] = "vehicles/dove/textures/dove_m_interior_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_rubbermat)
{
    mapTo = "dove_rubbermat";
    diffuseMap[0] = "vehicles/dove/textures/dove_rubbermat_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_rubbermat_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_rubbermat_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_stitchedvinyl)
{
    mapTo = "dove_stitchedvinyl";
    diffuseMap[0] = "vehicles/dove/textures/dove_stitchedvinyl_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_stitchedvinyl_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_stitchedvinyl_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_gaugedecals)
{
    mapTo = "dove_gaugedecals";
    diffuseMap[0] = "vehicles/dove/textures/dove_gaugedecals_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_gaugedecals_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1  1";
};

singleton Material(dove_extragaugedecals)
{
    mapTo = "dove_extragaugedecals";
    diffuseMap[0] = "vehicles/dove/textures/dove_extragaugedecals_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_extragaugedecals_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_headliner)
{
    mapTo = "dove_headliner";
    diffuseMap[0] = "vehicles/dove/textures/dove_headliner_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_headliner_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_headliner_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};
singleton Material(dove_dash)
{
    mapTo = "dove_dash";
    diffuseMap[0] = "vehicles/dove/textures/dove_dash_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_dash_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_dash_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_idiotlights)
{
    mapTo = "dove_idiotlights";
    diffuseMap[0] = "vehicles/dove/textures/dove_idiotlights_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_idiotlights_n.png";
    translucent = "1";
    translucentBlendOp = "LerpAlpha";
    alphaTest = "1";
    alphaRef = "20";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(dove_idiotlights_on)
{
    mapTo = "dove_idiotlights_on";
    diffuseMap[1] = "vehicles/dove/textures/dove_idiotlights_g.png";
    specularMap[1] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[1] = "vehicles/dove/textures/dove_idiotlights_n.png";
    diffuseMap[0] = "vehicles/dove/textures/dove_idiotlights_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_idiotlights_n.png";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "20";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "1 1 1 1";
};

singleton Material(dove_dashdecals)
{
    mapTo = "dove_dashdecals";
    diffuseMap[0] = "vehicles/dove/textures/dove_dashdecals_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_dashdecals_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_dashdecals_LHD)
{
    mapTo = "dove_dashdecals_LHD";
    diffuseMap[0] = "vehicles/dove/textures/dove_dashdecals_LHD_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_dashdecals_LHD_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_dashtrim)
{
    mapTo = "dove_dashtrim";
    diffuseMap[0] = "vehicles/dove/textures/dove_wood_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_wood_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_wood_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_dashdecals2)
{
    mapTo = "dove_dashdecals2";
    diffuseMap[0] = "vehicles/dove/textures/dove_dashdecals2_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_dashdecals2_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_aluminum)
{
    mapTo = "dove_aluminum";
    diffuseMap[0] = "vehicles/dove/textures/dove_aluminum_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_aluminum_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_aluminum_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_shifterdecal)
{
    mapTo = "dove_shifterdecal";
    diffuseMap[0] = "vehicles/dove/textures/dove_shifterdecals_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_shifterdecals_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_shifterdecals_n.png";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "180";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(dove_lettering)
{
    mapTo = "dove_lettering";
    specularMap[0] = "vehicles/dove/textures/dove_lettering_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_lettering_n.png";
    diffuseMap[0] = "vehicles/dove/textures/dove_lettering_d.png";
    reflectivityMap[0] = "vehicles/dove/textures/dove_lettering_s.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(dove_dashdecals_on)
{
    mapTo = "dove_dashdecals_on";
    diffuseMap[1] = "vehicles/dove/textures/dove_dashdecals_g.png";
    specularMap[1] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[1] = "vehicles/dove/textures/dove_dashdecals_n.png";
    diffuseMap[0] = "vehicles/dove/textures/dove_dashdecals_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_dashdecals_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.6";
};

singleton Material(dove_gaugedecals_on)
{
    mapTo = "dove_gaugedecals_on";
    diffuseMap[1] = "vehicles/dove/textures/dove_gaugedecals_g.png";
    specularMap[1] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[1] = "vehicles/dove/textures/dove_gaugedecals_n.png";
    diffuseMap[0] = "vehicles/dove/textures/dove_gaugedecals_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_gaugedecals_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.6 ";
};

singleton Material(dove_extragaugedecals_on)
{
    mapTo = "dove_extragaugedecals_on";
    diffuseMap[1] = "vehicles/dove/textures/dove_extragaugedecals_g.png";
    specularMap[1] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[1] = "vehicles/dove/textures/dove_extragaugedecals_n.png";
    diffuseMap[0] = "vehicles/dove/textures/dove_extragaugedecals_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_extragaugedecals_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.6 ";
};

singleton Material(dove_shifterdecal_on)
{
    mapTo = "dove_shifterdecal_on";
    diffuseMap[1] = "vehicles/dove/textures/dove_shifterdecals_g.png";
    specularMap[1] = "vehicles/dove/textures/dove_shifterdecals_s.png";
    normalMap[1] = "vehicles/dove/textures/dove_shifterdecals_n.png";
    diffuseMap[0] = "vehicles/dove/textures/dove_shifterdecals_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_shifterdecals_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_shifterdecals_n.png";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "180";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.6 ";
};

singleton Material(dove_dashdecals2_on)
{
    mapTo = "dove_dashdecals2_on";
    diffuseMap[1] = "vehicles/dove/textures/dove_dashdecals2_g.png";
    specularMap[1] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[1] = "vehicles/dove/textures/dove_dashdecals2_n.png";
    diffuseMap[0] = "vehicles/dove/textures/dove_dashdecals2_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_common_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_dashdecals2_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.7";
};

singleton Material(oilpressure)
{
    mapTo = "oilpressure";
};

singleton Material(signal_r_ind)
{
    mapTo = "signal_r_ind";
};

singleton Material(signal_l_ind)
{
    mapTo = "signal_l_ind";
};

singleton Material(battery)
{
    mapTo = "battery";
};

singleton Material(rearfog)
{
    mapTo = "rearfog";
};

singleton Material(choke)
{
    mapTo = "choke";
};

singleton Material(seatwarmer)
{
    mapTo = "seatwarmer";
};

singleton Material(defroster)
{
    mapTo = "defroster";
};

singleton Material(brake)
{
    mapTo = "brake";
};

singleton Material(highbeamind)
{
    mapTo = "highbeamind";
};

singleton Material(hazard)
{
    mapTo = "hazard";
};

singleton Material(difflock)
{
    mapTo = "difflock";
};

singleton Material(dove_crate)
{
    mapTo = "dove_crate";
    diffuseMap[0] = "vehicles/dove/textures/dove_crate_d.png";
    specularMap[0] = "vehicles/dove/textures/dove_crate_s.png";
    normalMap[0] = "vehicles/dove/textures/dove_crate_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};